/*********************************
 * 有機液晶表示器テスト　
 * SSD1306のテストプログラム
 * ******************************/
#include<Wire.h>
#include<Adafruit_GFX.h>
#include<Adafruit_SSD1306.h>

// インスタンス生成、変数の宣言定義
Adafruit_SSD1306 display(-1);     // インスタンス生成
int Count = 1000;                 // 表示する変数
/***********************/
void setup() {
  // ディスプレイの電源電圧とI2Cアドレス設定
  display.begin(SSD1306_SWITCHCAPVCC, 0x3C);
}
/**************************/
void loop() {
  // 表示器セット
  display.clearDisplay();         // 表示クリア
  display.setTextSize(2);         // 出力する文字の大きさ
  display.setTextColor(WHITE);    // 出力する文字の色
  display.setCursor(0, 0);        // 表示開始位置をホームにセット
  // 表示文字をバッファにセットして出力
  display.println("#OLED Test");  // 1行目バッファにセット
  display.print("Count=");        // 2行目の見出し
  display.println(Count, DEC);    // Countの値を10進数で出力
  display.display();              // 表示出力実行
  // 繰り返し
  delay(1000);                    // 1秒待ち繰り返し
  Count++;                        // カウンタ更新
}
